DJANGO-LINT(1)

NAME
django-lint - static analyser for Django projects and applications

SYNOPSIS

django-lint [options] target

DESCRIPTION

Django Lint is a tool that statically analyses projects and applications that use the Django web development framework.

It checks and reports on common programming errors and bad code smells including nullable "CharField" fields, the use of brittle Django features such as "auto_now_add" and unspecified recommended options in settings.py, such as an empty 'ADMINS' setting (plus many more).

The target argument is mandatory and can specify either a directory containing a Django project, a single application or a single file.

AUTHOR

Django Lint and this manual page were written by Chris Lamb <chris@chris-lamb.co.uk>.

This manual page is (C) 2008 by Chris Lamb and is licensed under the terms of the GPLv3 or higher.